XtCreateWindow(3Xt)

NAME
XtCreateWindow - window creation convenience function

SYNTAX

void XtCreateWindow(Widget w, unsigned int window_class, Visual *visual, XtValueMask value_mask, XSetWindowAttributes *attributes);

ARGUMENTS

attributes
    Specifies the window attributes to use in the call.

value_mask
    Specifies which attribute fields to use.

visual
    Specifies the visual type (usually

w   Specifies the widget that is used to set the x,y coordinates and so on.

window_class
    Specifies the Xlib window class (for example, or

DESCRIPTION
The function calls the Xlib function with values from the widget structure and the passed parameters. Then, it assigns the created window to the widget's window field.

evaluates the following fields of the widget structure:

•   depth

•   screen

•   parent -> core.window

•   x

•   y

•   width

•   height

•   border_width

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface